@ECHO OFF

::
:: Initial check.
:: Verify if the SDK is correctly configurated,
::
IF "%OSDK%"=="" GOTO ErCfg


::
:: Check if the program was compiled
:: Then copy the compiled program into Euphoric folder 
::
IF NOT EXIST build\%OSDKNAME%.TAP GOTO ErBld
COPY build\%OSDKNAME%.TAP %OSDK%\Euphoric\OSDK.TAP >NUL
COPY build\symbols %OSDK%\Euphoric\symbols >NUL


::
:: Special detection to see if we should run Euphoric
:: directly, or using an alternate system (like DOSBox)
::
IF "%OSDKDOSBOX%"=="" GOTO RunDefault

:RunDosBox
::
:: Execute the emulator (DosBOX Version)
::
TYPE %OSDK%\BIN\dosbox.conf > %OSDK%\Euphoric\dosbox.conf
ECHO mount c %osdk%\Euphoric >> %OSDK%\Euphoric\dosbox.conf
ECHO c:  >> %OSDK%\Euphoric\dosbox.conf
ECHO SET ORIC=c:\ >> %OSDK%\Euphoric\dosbox.conf
ECHO euphoric.exe OSDK.TAP  >> %OSDK%\Euphoric\dosbox.conf
CD %OSDK%\Euphoric
"%OSDKDOSBOX%"
GOTO End


:RunDefault
::
:: Execute the emulator
::
SET ORIC=%OSDK%\Euphoric\
CD %OSDK%\Euphoric
CALL Euphoric.exe OSDK.TAP
GOTO End


::
:: Outputs an error message about configuration
::
:ErCfg
ECHO == ERROR ==
ECHO The Oric SDK was not configured properly
ECHO You should have a OSDK environment variable setted to the location of the SDK
ECHO ===========
IF "%OSDKBRIEF%"=="" PAUSE
GOTO End

::
:: Outputs an error message about compilation
::
:ErBld
ECHO == ERROR ==
ECHO Before executing this program, you need to build it.
ECHO Please run OSDK_BUILD.BAT before.
ECHO ===========
IF "%OSDKBRIEF%"=="" PAUSE
GOTO End

:End
